/// <reference types="googlemaps" />
import * as React from 'react';
export interface DataProps {
    options?: google.maps.Data.DataOptions;
    /**  This event is fired when a feature is added to the collection. */
    onAddFeature?: (e: google.maps.Data.AddFeatureEvent) => void;
    /**  This event is fired for a click on the geometry. */
    onClick?: (e: google.maps.Data.MouseEvent) => void;
    /**  This event is fired for a double click on the geometry. */
    onDblClick?: (e: google.maps.Data.MouseEvent) => void;
    /**  This event is fired for a mousedown on the geometry. */
    onMouseDown?: (e: google.maps.Data.MouseEvent) => void;
    /**  This event is fired when the mouse leaves the area of the geometry. */
    onMouseOut?: (e: google.maps.Data.MouseEvent) => void;
    /**  This event is fired when the mouse enters the area of the geometry. */
    onMouseOver?: (e: google.maps.Data.MouseEvent) => void;
    /**  This event is fired for a mouseup on the geometry. */
    onMouseUp?: (e: google.maps.Data.MouseEvent) => void;
    /**  This event is fired when a feature is removed from the collection. */
    onRemoveFeature?: (e: google.maps.Data.RemoveFeatureEvent) => void;
    /**  This event is fired when a feature's property is removed. */
    onRemoveProperty?: (e: google.maps.Data.RemovePropertyEvent) => void;
    /**  This event is fired for a rightclick on the geometry. */
    onRightClick?: (e: google.maps.Data.MouseEvent) => void;
    /**  This event is fired when a feature's geometry is set. */
    onSetGeometry?: (e: google.maps.Data.SetGeometryEvent) => void;
    /**  This event is fired when a feature's property is set. */
    onSetProperty?: (e: google.maps.Data.SetPropertyEvent) => void;
    /**  This callback is called when the data instance has loaded. It is called with the data instance. */
    onLoad?: (data: google.maps.Data) => void;
    /**  This callback is called when the component unmounts. It is called with the data instance.  */
    onUnmount?: (data: google.maps.Data) => void;
}
declare function Data(props: DataProps): JSX.Element;
declare const _default: React.MemoExoticComponent<typeof Data>;
export default _default;
